#
# spec file for package kmscube
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2019, Guillaume GARDET <guillaume@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kmscube
Version:        0.0.0.git1612698153.9f63f35
Release:        bp156.2.7
Summary:        Demo for bare metal graphics
License:        MIT
Group:          Development/Tools/Other
URL:            https://gitlab.freedesktop.org/mesa/kmscube
Source:         %{name}-%{version}.tar.xz
BuildRequires:  Mesa-devel
BuildRequires:  Mesa-libGLESv3-devel
BuildRequires:  gcc
BuildRequires:  glib2-devel
BuildRequires:  gstreamer-devel >= 1.6.0
BuildRequires:  gstreamer-plugins-base-devel >= 1.6.0
BuildRequires:  libdrm-devel >= 2.4.71
BuildRequires:  libgbm-devel >= 13.0
BuildRequires:  make
BuildRequires:  meson >= 0.47
BuildRequires:  pkgconfig >= 0.9.0
BuildRequires:  pkgconfig(libpng16)
BuildRequires:  pkgconfig(x11)

%description
kmscube is a little demonstration program for how to drive bare metal graphics
without a compositor like X11, wayland or similar, using DRM/KMS (kernel mode
setting), GBM (graphics buffer manager) and EGL for rendering content using
OpenGL or OpenGL ES.

%prep
%setup -q
# Fix libpng detection
sed -i -e "s/'libpng'/'libpng16'/" meson.build

%build
%meson
%meson_build

%install
%meson_install

%files
%defattr(-,root,root)
%doc README.md
%license COPYING
%{_bindir}/*

%changelog
* Thu Mar 17 2022 guillaume.gardet@opensuse.org
- Update to version 0.0.0.git1612698153.9f63f35:
  * Revert "Multiple GL_ TRIANGLE_ STRIP draw merge."
  * Multiple GL_ TRIANGLE_ STRIP draw merge.
  * drm: grab correct handle for plane != 0
  * surfaceless support
  * gbm: split out helper to initialize surface
* Thu Jun  4 2020 guillaume.gardet@opensuse.org
- Update to version 0.0.0.git1585705428.4660a7d:
  * texturator: Fix float to bool conversion warning
  * texturator: Only define png variable when libpng is present
  * meson.build: Change c_std to gnu99
  * kmscube: add AMD_performance_monitor support
  * kmscube: also print final fps stat at exit
  * kmscube: add option to run for specified # of frames
  * add fps reporting
  * atomic: allow user input to trigger exit
  * add shadertoy mode
  * clean up arg parsing
- Switch to meson build system
- Enable libpng support
* Mon Oct  7 2019 Stefan Dirsch <sndirsch@suse.com>
- back to Mesa-libGLESv3-devel
* Fri Sep 27 2019 Stefan Dirsch <sndirsch@suse.com>
- Buildrequire libglvnd-devel >= 1.2.0 instead of Mesa-libGLESv3-devel
  (workaround for broken buildservice)
* Tue Jul 16 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Add gstreamer deps to enable cube-video (video textured
  cube support)
* Fri Jul 12 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Initial version 0.0.0.git1562664497.a12e306
